function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import { storiesOf } from "@storybook/react";
import { Grid, GridCell, GridContainer } from "../Grid/grid";
var storiesForRow = storiesOf("Layout|Grid", module);
storiesForRow.addDecorator(function (story) {
  return React.createElement("div", {
    id: "root-preview"
  }, story());
});
var additionalProps = {
  style: {
    border: "1px solid black"
  }
};
storiesForRow.add("Default", function () {
  return React.createElement(GridContainer, null, React.createElement(Grid, null, React.createElement(GridCell, _extends({
    large: 12,
    medium: 8,
    small: 4
  }, additionalProps), "Full-width Content"), React.createElement(GridCell, _extends({
    large: 6,
    medium: 4,
    small: 2
  }, additionalProps), "Half-width Content"), React.createElement(GridCell, _extends({
    large: 6,
    medium: 4,
    small: 2
  }, additionalProps), "Half-width Content")));
});